List all resource budgets

View as Markdown
For users without the `air:sre` scope, a list with a single item will be returned, which will be the resource budget of the organization the requester is currently logged in to. For users with the `air:sre` scope, resource budgets for all organizations currently existing on the platform will be returned. **Permissions:** Any authenticated user with an Air scope.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of results to return per page.
ngc_org_namestringOptional
Filter by the NGC Organization Name of the organization.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

org_display_namestringOptional
Filter by the display name of the organization.
org_idstringOptionalformat: "uuid"
Filter by the Air database ID of the organization.
org_nca_idstringOptional
Filter by the NCA ID of the organization.
searchstringOptional

Search by org_display_name, ngc_org_name, or org_id.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error